if [ "$1" != "-l" ]; then
  echo "Normal mode"
  IMODE=n
  fi

if [ "$1" = "-l" ]; then
  echo "Legacy mode";
  IMODE=l
fi



if [ $IMODE = n ]; then
 echo "New Menu"
elif [ $IMODE = l ]; then
 echo "Legacy Menu"
fi
